Update price book
curl --request PUT \
--url https://api.hyperline.co/v1/price-books/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Enterprise pricing",
"description": null,
"user_role_ids": [
"<string>"
]
}
'import requests
url = "https://api.hyperline.co/v1/price-books/{id}"
payload = {
"name": "Enterprise pricing",
"description": None,
"user_role_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Enterprise pricing', description: null, user_role_ids: ['<string>']})
};
fetch('https://api.hyperline.co/v1/price-books/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "prib_DKL4Xcb5VSa8CQ",
"name": "Enterprise pricing",
"description": null,
"user_role_ids": [
"<string>"
],
"created_at": "2024-12-20T16:04:11Z",
"updated_at": "2024-12-20T16:04:11Z"
}{
"message": "<string>"
}Price books
Update price book
Update the details of an existing price book.
PUT
/
v1
/
price-books
/
{id}
Update price book
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Update price book payload.
Response
Price book ID.
Example:
"prib_DKL4Xcb5VSa8CQ"
Price book name.
Example:
"Enterprise pricing"
Price book description.
Example:
null
List of user role IDs that have access to this price book.
Was this page helpful?
⌘I

